#
# bignum makefile
# Time-stamp: <97/01/28 14:51:15 dcl3a>
# Author: Devon Lockwood
#


#
# The following directives let make know that you may be using files
# with a cpp extension.
#

.SUFFIXES:
.SUFFIXES: .cpp $(SUFFIXES)


#
# You may have to set the directories so that are appropiate for 
# your account.
#

CCC       = CC


# The CPPFLAGS macro lets the compiler know where to find include files 
#

CPPFLAGS=-I../../EzWindows/include -DUSING_CC


#
# The OBJS macro tells the compiler which object files need to be present 
# to link your program into an executable. 
#

OBJS=bignum.o prog13-2.o


#
# The following sequence of commands defines a target for the program 
# executable.
#

poker: $(OBJS)
	$(CCC) -o bignum $(OBJS) bignumlib.o


#
# The target below indicates to make how to process files with a cpp 
# extension. Normally this is necessary but the cpp extension isn't 
# defined for make.
#

.cpp.o:
	$(CCC) $(CPPFLAGS) -c $< 


#
# As a standard practice, a clean target is included in most make files.
# By executing 'make clean', all object files, backup files, and the 
# executable are deleted.
#

clean:
	rm -f $(OBJS) *~ bignum



