//**************************************************************************
//
// Copyright (c) 1997.
//      Richard D. Irwin, Inc.
//
// This software may not be distributed further without permission from
// Richard D. Irwin, Inc.
//
// This software is distributed WITHOUT ANY WARRANTY. No claims are made
// as to its functionality or purpose.
//
// Author: Devon Lockwood
// Date: 1/30/97
// $Revision: 1.1 $
// $Name: $
//
//**************************************************************************
/* EzWindows Library Source File
   FILE:        square.cc
   AUTHORS:     James P. Cohoon and Jack W. Davidson
   EDITED BY:   Devon Lockwood
   Time-stamp:  <97/01/17 18:52:15 dcl3a>

   Description
   ===========
   The SquareShape class provides the ability to draw
   squares in an EzWindow.
*/
#include "square.h"


SquareShape::SquareShape(SimpleWindow   &iWindow,
                         const Position &iCenter, 
                         const color    &iColor, 
                         float           iSide) 
                       : Shape(iWindow, iCenter, iColor), 
                         SideLength(iSide) {

}


float SquareShape::GetSideLength() const {
	
   return SideLength;
}


void SquareShape::Draw() {
   const Position SquareCenter(GetPosition());

   Position UpperLeft (SquareCenter + 
                       Position(-.5 * SideLength, -.5 * SideLength));
   Position LowerRight(SquareCenter + 
                       Position( .5 * SideLength,  .5 * SideLength));
	
   GetWindow().RenderRectangle(UpperLeft, LowerRight, GetColor());
}


void SquareShape::SetSize(float iSide) {
	
   SideLength = iSide;
}



