//**************************************************************************
//
// Copyright (c) 1997.
//      Richard D. Irwin, Inc.
//
// This software may not be distributed further without permission from
// Richard D. Irwin, Inc.
//
// This software is distributed WITHOUT ANY WARRANTY. No claims are made
// as to its functionality or purpose.
//
// Author: Devon Lockwood
// Date: 1/30/97
// $Revision: 1.1 $
// $Name: $
//
//**************************************************************************
/* EzWindows Library Source File
   FILE:        circle.cc
   AUTHORS:     James P. Cohoon and Jack W. Davidson
   EDITED BY:   Devon Lockwood
   Time-stamp:  <97/01/17 18:45:43 dcl3a>

   Description
   ===========
   The CircleShape class provides the ability to draw circles 
   in an EzWindow.
*/
#include "circle.h"


CircleShape::CircleShape(SimpleWindow   &w,
                         const Position &center, 
                         const color    &c,
                         float           d) : Shape(w, center, c), 
                                              Diameter(d) {

}


float CircleShape::GetDiameter() const {
	
   return Diameter;
}


void CircleShape::Draw() {
   Position CirCenter(GetPosition());
	
   Position UpperLeft (CirCenter + Position(-.5 * Diameter, -.5 * Diameter));
   Position LowerRight(CirCenter + Position( .5 * Diameter,  .5 * Diameter));
	
   GetWindow().RenderEllipse(UpperLeft, LowerRight, GetColor());
}


void CircleShape::SetSize(float d) {
	
   Diameter = d;
}



