#include <iostream.h>
#include "card.h"

// SetFace(): face mutator
void Card::SetFace(const CardFace &f) {
	Face = f;
}

// SetSuit(): suit mutator
void Card::SetSuit(const CardSuit &s) {
	Suit = s;
}

// Card(): default constructor
Card::Card() {
	SetFace(two);
	SetSuit(club);
}

// Card(): specific constructor
Card::Card(const CardFace &f, const CardSuit &s) {
	SetFace(f);
	SetSuit(s);
}

// GetFace(): face inspector
CardFace Card::GetFace() const {
	return Face;
}

// GetSuit(): suit inspector
CardSuit Card::GetSuit() const {
	return Suit;
}

// ==: auxiliary equality operator
bool operator==(const Card &c1, const Card &c2) {
	CardFace f1 = c1.GetFace();
	CardSuit s1 = c1.GetSuit();
	CardFace f2 = c2.GetFace();
	CardSuit s2 = c2.GetSuit();
	return (f1 == f2) && (s1 == s2);
}

// <: auxiliary less than operator
bool operator<(const Card &c1, const Card &c2) {
	CardFace f1 = c1.GetFace();
	CardSuit s1 = c1.GetSuit();
	CardFace f2 = c2.GetFace();
	CardSuit s2 = c2.GetSuit();
	return (f1 < f2) || ((f1 == f2) && (s1 < s2));
}

// <<: basic insertion operator
ostream& operator<<(ostream &sout, const Card &c) {
	switch (c.GetFace()) {
		case two:sout << "2"; break;
		case three:sout << "3"; break;
		case four:sout << "4"; break;
		case five:sout << "5"; break;
		case six:sout << "6"; break;
		case seven:sout << "7"; break;
		case eight:sout << "8"; break;
		case nine:sout << "9"; break;
		case ten:sout << "10"; break;
		case jack:sout << "J"; break;
		case queen:sout << "Q"; break;
		case king:sout << "K"; break;
		case ace:sout << "A"; break;
	}
	switch (c.GetSuit()) {
		case club:sout << "C"; break;
		case diamond:sout << "D"; break;
		case heart:sout << "H"; break;
		case spade:sout << "S"; break;
	}
	return sout;
}





