#ifndef POKER_H
#define POKER_H
#include <iostream.h>
#include "card.h"

enum Rank {Nothing, OnePair, TwoPair, ThreeOfAKind,
Straight, Flush, FullHouse, FourOfAKind,
StraightFlush};

class Hand {
	public:
		// create empty poker hand
		Hand();
		// return ith card in hand
		Card GetCard(int i) const;
		// set ith card in hand
		void SetCard(int i, const Card &c);
		// returns type of poker hand
		Rank Quality() const;
		// arrange hand in ascending card order
		void Sort();
		// test for hand properties
		bool HasOnePair() const;
		bool HasTwoPair() const;
		bool HasThreeOfAKind() const;
		bool HasStraight() const;
		bool HasFlush() const;
		bool HasFullHouse() const;
		bool HasFourOfAKind() const;
		bool HasStraightFlush() const;
	private:
		Card Cards[5];
};

// auxiliary operators
bool operator==(const Hand &a, const Hand &b);
bool operator<(const Hand &a, const Hand &b);
ostream& operator<<(ostream &sout, const Hand &h);
istream& operator>>(istream &sin, const Hand &h);
#endif


