//**************************************************************************//
//                                                                          //
// Copyright (c) 1997.                                                      //
//      Richard D. Irwin, Inc.                                              //
//                                                                          //
// This software may not be distributed further without permission from     //
// Richard D. Irwin, Inc.                                                   //
//                                                                          //
// This software is distributed WITHOUT ANY WARRANTY. No claims are made    //
// as to its functionality or purpose.                                      //
//                                                                          //
// Authors: James P. Cohoon and Jack W. Davidson                            //
// Date: 7/15/96                                                            //
// Version: 1.0b                                                            //
//                                                                          //
//**************************************************************************//

#include "bignum.h"
#include <assert.h>
#include <string.h>
#include <strstream.h>

BigNum BigNum::LeftDigitShift(int n) const {
	assert(n >= 0);
	if (n == 0) {
		return *this;
	}
	BigNum Temp;
	int nd = GetNumberDigits();
	Temp.ResizeMemory(nd + n);
	Temp.SetNumberDigits(nd + n);
	for (int i = 1; i <= nd; ++i) {
		Temp.SetDigit(i + n, GetDigit(i));
	}
	for (int j = 1; j <= n; ++j) {
		Temp.SetDigit(j, 0);
	}
	Temp.RemoveLeadingZeros();
	return Temp;
}

BigNum operator+(const BigNum &op1, const BigNum &op2) {

	return op1.Add(op2);
}


BigNum operator*(const BigNum &op1, const BigNum &op2) {

	return op1.Multiply(op2);
}


BigNum::BigNum(int n) {
	assert(n >= 0);

	ostrstream buffer;

	buffer << n << ends;

	int length = strlen(buffer.str());

	SetNumberDigits(length);
	GetMemory(length);

	BigNum S(buffer.str());

	for (int i = 1; i <= S.GetNumberDigits(); ++i) {
		SetDigit(i, S.GetDigit(i));
	}
}

istream& operator>>(istream &sin, BigNum &r) {
	char S[1000];
	sin >> S;
	BigNum R(S);
	r = R;
	return  sin;
}

