//**************************************************************************//
//                                                                          //
// Copyright (c) 1997.                                                      //
//      Richard D. Irwin, Inc.                                              //
//                                                                          //
// This software may not be distributed further without permission from     //
// Richard D. Irwin, Inc.                                                   //
//                                                                          //
// This software is distributed WITHOUT ANY WARRANTY. No claims are made    //
// as to its functionality or purpose.                                      //
//                                                                          //
// Authors: James P. Cohoon and Jack W. Davidson                            //
// Date: 7/15/96                                                            //
// Version: 1.0b                                                            //
//                                                                          //
//**************************************************************************//

// Displays each input word once
#include <iostream.h>
#include <string.h>
const int MaxStringSize = 25;
const int MaxNbrStrings = 100;
int TableSearch(const char * const T[], int Size,
const char Key[]); // prototype
int main() {
	// set-up empty string table
	char *Table[MaxNbrStrings]; 
	int NbrStrings = 0;
	// buffer to hold current extracted string
	char Buffer[MaxStringSize+1];
	// load the string table
	while (cin >> Buffer) {
		// got another string to check
		if (TableSearch(Table, NbrStrings, Buffer)
		== NbrStrings){// need to add string to table
			if (NbrStrings < MaxNbrStrings) {
				// first reserve the space for the new word
				int n = strlen(Buffer) + 1;
				Table[NbrStrings] = new char[n];
				// check whether the space was acquired
				if (Table[NbrStrings] != 0) {
					// copy buffer into the new space
					strcpy(Table[NbrStrings], Buffer);
					// strings in Table has increased
					++NbrStrings;
				}
				else // could not get the memory
					cerr << "Cannot store:" << Buffer << endl;
			}
			else {// table is full
				cerr << "No more strings allowed" << endl;
				break;
			}
		}
	}
	// print the list
	for (int i = 0; i < NbrStrings; ++i)
		cout << Table[i] << endl;
	// all done with the strings, so return the space
	for (int j = 0; j < NbrStrings; ++j)
		delete [] Table[j];
	// the program is done
	return 0;
}
// TableSearch(): search T to see if it contains Key
int TableSearch(const char * const T[], int Size,
const char Key[]) {
	for (int i = 0; i < Size; ++i) {
		if (strcmp(T[i], Key) == 0) // found string
			return i;
	}
	// string key is not there
	return Size;
}


